<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("_8cca4dd" . "34e20c53" . "44bb2a30" . "f2533c4e" . "5" => base64_decode("ZnV" . "sbF" . "9uY" . "W1l"), "_baec81a7" . "82bb3d538" . "149a92256" . "88246e" => base64_decode("ZXZlbnRfc291cmN" . "l"), "_28c85ce81fee6" . "532980262893b6" . "f2425" => base64_decode("dXNlcm5hb" . "WU="), "user_" . "id" => base64_decode("dXNlcl9" . "pZA=="));
use Claromentis\Core\Event\GenericEvent;
use InvalidArgumentException;









class AddUserEvent extends GenericEvent
{
    
    
    
    
    
    
    private $error_message = '';
    
    
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["user_" . "id"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_8cca4dd34e20c" . "5344bb2a30f253" . "3c4e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_28c85ce81fee6532980262893b6f2" . "425"]);
    }
    
    
    
    
    
    
    
    
    public function GetEventSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_baec81a782bb3d5" . "38149a9225688246" . "e"]);
    }
    
    
    
    
    
    
    public function SetErrorMsg($error_message)
    {
        $this->error_message = $error_message;
    }
    
    
    
    
    
    
    public function GetErrorMsg()
    {
        return $this->error_message;
    }
}